import {OneGood, GoodsNotFound} from "./index";
import {createStore, combineReducers, applyMiddleware, bindActionCreators} from 'redux';
import {getData, getGoods, actionGoods} from "../reducers";
import {Provider, connect} from 'react-redux';


  const mapStateToProps = state => ({
    state: state,
    goods: getGoods(state),
    search: getGoods(state)
  });
  
  const mapDispatchToProps = dispatch => bindActionCreators({
    getData: actionGoods
  }, dispatch);
  



const GoodsList = ({arr = [], className = "goods"}) => {
  if(arr.length == 0) {
    return(
        <>
        <GoodsNotFound/>
        </>
    )
}
  return (
    <div className = {className}>          
      {arr.map((good) => <OneGood key = {good._id} name = {good.name} price = {good.price} image = {good.images ? `http://shop-roles.asmer.fs.a-level.com.ua/${good.images[0].url}` : `https://images.ua.prom.st/2259265311_korobka-syurpriz-dlya.jpg`}/>)}
    </div>
  )
}

//  const CGoodsList = connect(mapStateToProps, mapDispatchToProps)(GoodsList);

 export default GoodsList;