import {BrowserRouter as Router, Route, Link, Switch, Redirect, useHistory} from 'react-router-dom';
import {Provider, connect} from 'react-redux';
import React, {Component, useState, useEffect} from 'react';
import {createStore, combineReducers, applyMiddleware} from 'redux';
import thunk from 'redux-thunk';
import jwt_decode from "jwt-decode"
import { bindActionCreators } from 'redux';
import {actionLogin, authReducer, actionAuthLogout} from "../reducers/";



const ButtonLogout = ({onLogout, isLoggedIn}) => 
    <button onClick={onLogout}
        disabled={!isLoggedIn}>Logout</button>

 const CButtonLogout = connect(s => ({isLoggedIn: s.auth.payload}),{onLogout: actionAuthLogout})(ButtonLogout)

const DashboardLink = ({login}) =>{
console.log(login)
return(
<div className = "DashboardLink">{login ? <Link to='/dashboard'>{login}</Link> : <Link to='/login'>Anon</Link>}</div>
)
}
const CDashboardLink = connect(s => ({login: s.auth.payload && s.auth.payload.sub.login, }))(DashboardLink)


const PasswordConfirm = ({login, isLoggedIn, onLogin = null }) => {
    const [pass1, setPass1] = useState("");
    const [pass2, setPass2] = useState("");
    const history = useHistory();
    useEffect(() => login ?  history.push(`/profile/` + login) : history.push(`/login`),[login])


    return (
        <>
            <div>
                <input
                    type="text"
                    placeholder = "login"
                    onChange={(e) => {
                        setPass1(e.target.value);
                    }}
                ></input>
                <input
                    type="password"
                    placeholder = "password"
                    onChange={(e) => {
                        setPass2(e.target.value);
                    }}
                ></input>
            </div>
            <div>
                <button disabled = {isLoggedIn} onClick={() => onLogin(pass1, pass2)}>Login</button>
                <CButtonLogout />
            </div>

        </>
    );
};

const CFormLogin = connect((s) => ({isLoggedIn: s.auth.payload, login: s.auth.payload && s.auth.payload.sub.login}), {
    onLogin:actionLogin})(PasswordConfirm);



const LoginForm = ({}) => {

    return(
    <>
        <div className = "loginForm">
            {/* <CDashboardLink/> */}
            <CFormLogin />

        </div>
    </>
    )
}


export default LoginForm;