import {createStore, combineReducers, applyMiddleware, compose} from 'redux';
import thunk from 'redux-thunk';
import actionPromise from "./actionPromise";
import gql from "./gql";
import actionGoods from "./actionGoods"
import getGoods from "./getGoods";
import {actionSearch} from "./actionsearch";
import actionLogin from "./actionLogin";
import authReducer from "./authReducer";
import {actionAuthLogin, actionAuthLogout} from "./actionAuthLog"



function promiseReducer(state={}, action){

    if (action.type === 'PROMISE'){
        const { name="default", status, payload, error} = action
        if (status){
            return {
                ...state, [name]: {status, payload: (status === 'PENDING' && state[name] && state[name].payload) || payload, error}
            }
        }
    }
    return state;
  }
  
  
  const store = createStore(combineReducers({
    promiseRed: promiseReducer, auth: authReducer
  }), compose(applyMiddleware(thunk)))

export {actionPromise, gql, actionGoods, getGoods, promiseReducer, store, actionSearch,
   actionLogin, authReducer, actionAuthLogin, actionAuthLogout};



